Compatibilidad de LabVIEW y Linux OS

Visión General

Esta página muestra la compatibilidad entre versiones de LabVIEW y diferentes distribuciones de Linux. Consulte esta información para asegurarse de instalar la versión correcta al momento de actualizar su sistema operativo o al migrar código a un nuevo sistema. Utilizar versiones que no son compatibles puede provocar errores. La compatibilidad del sistema operativo también se puede encontrar en el LabVIEW Readme.

Contenido

Compatibilidad de LabVIEW y Linux

La siguiente tabla muestra la compatibilidad entre versiones de LabVIEW y diferentes sistemas operativos.

Si la versión que está buscando no aparece en la lista, consulte el documento de compatibilidad de LabVIEW y Linux en la sección Descargas. Si la versión que busca no está incluida en el documento, o si busca más información sobre los requisitos del sistema soportado, consulte el archivo Readme incluido en el medio de instalación de su versión.

OpenSUSE

Versión de LabVIEW Versiones de OpenSUSE
openSUSE LEAP 15.1 openSUSE LEAP 15.0 openSUSE LEAP 42.3 openSUSE LEAP 42.2 openSUSE LEAP 42.1 openSUSE 13.2 openSUSE 13.1 openSUSE 12.3
2020 SP1            
2020            
2019 SP1            
2019            
2018 SP1          
2018            
2017 SP1            
2017            
2016            
2015 SP1            
2015            
2014 SP1            
2014            

Red Hat Enterprise Linux

Versión de LabVIEW Red Hat Enterprise Linux
Red Hat Enterprise Linux 8 Red Hat Enterprise Linux 7 Red Hat Enterprise Linux 6.5 Red Hat Enterprise Linux 6
2020 SP1    
2020    
2019 SP1    
2019    
2018 SP1  
2018  
2017 SP1  
2017  
2016      
2015 SP1      
2015      
2014 SP1      
2014      

CentOS

Versión de LabVIEW CentOS
CentOS 8 CentOS 7
2020 SP1
2020
2019 SP1
2019
2018 SP1  
2018  
2017 SP1  
2017  
2016  
2015 SP1    
2015    
2014 SP1    
2014    

Scientific Linux

Versión de LabVIEW Scientific Linux
Scientific Linux 6.5 Scientific Linux 6.0 
2020 SP1    
2020    
2019 SP1    
2019    
2018 SP1    
2018    
2017 SP1
2017
2016  
2015 SP1  
2015  
2014 SP1  
2014  

consideraciones adicionales

Valor de bits: soporta versiones LabVIEW 64 bits de distribuciones de Linux. LabVIEW eliminó el soporte para las versiones Intel 32 bits de las distribuciones de Linux el 1 de julio de 2016. Las versiones de LabVIEW disponibles después del 1 de julio de 2016 pueden instalarse y ejecutarse en distribuciones de 32 bits, pero no se proporciona soporte oficial.

Sistemas de desarrollo: Los Sistemas de Desarrollo Completo y Profesional de LabVIEW están disponibles para Linux. No existe un Sistema de Desarrollo Base de LabVIEW para sistemas operativos Linux.

Instalación: A partir de 2017, LabVIEW para Linux está disponible para descarga desde ni.com. Antes de esto, todo el software para Linux se distribuía a través de medios físicos.

  • Para LabVIEW versión 2017 SP1 y posteriores, puede descargar el medio de instalación si tiene el SSP activo y una cuenta de usuario de ni.com.
  • Para versiones anteriores, puede instalar LabVIEW usando medios físicos

Recursos adicionales